org.gnome.gdk

## Class CursorType

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gdk.CursorType

-     public final class CursorType
      extends org.freedesktop.bindings.Flag

  Constants representing the different forms of Cursor that can indicate where the mouse is pointing. Note that this is distinct from that blinking vertical bar that is the text position cursor in Entry and TextView Widgets.

  The "normal" Cursor is `LEFT_PTR`. That's the one you want to switch back to if you've changed the Cursor to something exceptional.

  The fact that "cursor" is used to name this class and the Cursor class which manipulates them is a bit strange seeing as how the term used in user interface design for the thing where your mouse is indicating is "pointer".

  It was quite tempting to mess with the constant names here; after all `LEFT_PTR` is a poor substitute for "normal", but that would screw up the algorithmic mapping of the underlying library that we have worked so hard to maintain. The names are less than ideal in GDK, but so be it..

  Since:
    4.0.6
  Author:
    Andrew Cowie, Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CursorType` | `BOTTOM_LEFT_CORNER` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom left corner of the Widget.
    `static CursorType` | `BOTTOM_RIGHT_CORNER` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom right corner of the Widget.
    `static CursorType` | `BOTTOM_SIDE` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom side of the Widget.
    `static CursorType` | `FLEUR` The Cursor used to indicate a "move" operation.
    `static CursorType` | `HAND1` The hand, open.
    `static CursorType` | `HAND2` The hand, index finger pointing.
    `static CursorType` | `LEFT_PTR` The standard arrow pointer used by default for most user interface purposes.
    `static CursorType` | `LEFT_SIDE` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the left side of the Widget.
    `static CursorType` | `RIGHT_SIDE` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the right side of the Widget.
    `static CursorType` | `TOP_LEFT_CORNER` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top left corner of the Widget.
    `static CursorType` | `TOP_RIGHT_CORNER` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top right corner of the Widget.
    `static CursorType` | `TOP_SIDE` This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top side of the Widget.
    `static CursorType` | `WATCH` This is the cursor you change to when you want to show that the application is "busy"; be aware that different themes shipped by various Linux distributions override it in many different ways.
    `static CursorType` | `XTERM` This is the standard "text" Cursor, used in Widgets which display or edit text such as Entry and TextView.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM_LEFT_CORNER

          public static final CursorType BOTTOM_LEFT_CORNER

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom left corner of the Widget.
      Since:
        4.0.12

    - #### BOTTOM_RIGHT_CORNER

          public static final CursorType BOTTOM_RIGHT_CORNER

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom right corner of the Widget.
      Since:
        4.0.12

    - #### BOTTOM_SIDE

          public static final CursorType BOTTOM_SIDE

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the bottom side of the Widget.
      Since:
        4.0.12

    - #### FLEUR

          public static final CursorType FLEUR

      The Cursor used to indicate a "move" operation. It is used when moving the mouse pointer would cause a Widget to be moved.
      Since:
        4.0.12

    - #### HAND1

          public static final CursorType HAND1

      The hand, open. Suggests something that can be grabbed.
      Since:
        4.0.14

    - #### HAND2

          public static final CursorType HAND2

      The hand, index finger pointing. Typically used to suggest a clickable link.
      Since:
        4.0.14

    - #### LEFT_PTR

          public static final CursorType LEFT_PTR

      The standard arrow pointer used by default for most user interface purposes. This is the one you want to reset the cursor to if you have been using `WATCH` as the "busy" pointer.

    - #### LEFT_SIDE

          public static final CursorType LEFT_SIDE

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the left side of the Widget.
      Since:
        4.0.12

    - #### RIGHT_SIDE

          public static final CursorType RIGHT_SIDE

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the right side of the Widget.
      Since:
        4.0.12

    - #### TOP_LEFT_CORNER

          public static final CursorType TOP_LEFT_CORNER

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top left corner of the Widget.
      Since:
        4.0.12

    - #### TOP_RIGHT_CORNER

          public static final CursorType TOP_RIGHT_CORNER

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top right corner of the Widget.
      Since:
        4.0.12

    - #### TOP_SIDE

          public static final CursorType TOP_SIDE

      This Cursor is typically used with Widgets whose size can be changed manually when the mouse pointer is near the top side of the Widget.
      Since:
        4.0.12

    - #### WATCH

          public static final CursorType WATCH

      This is the cursor you change to when you want to show that the application is "busy"; be aware that different themes shipped by various Linux distributions override it in many different ways.
      Since:
        4.0.6

    - #### XTERM

          public static final CursorType XTERM

      This is the standard "text" Cursor, used in Widgets which display or edit text such as Entry and TextView.
      Since:
        4.0.6